VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Attributes | List of all members
ScaleEvent Struct Reference

Scale event specific data. More...

`#include <ivstevents.h>`

## Public Attributes
int16 | root
| range [0, 127] = root Note/Transpose Factor
int16 | mask
| Bit 0 = C, Bit 1 = C#, ... (0x5ab5 = Major Scale)
uint16 | textLen
| the number of characters (TChar) between the beginning of text and the terminating null character (without including the terminating null character itself)
const TChar * | text
| UTF-16, null terminated, Hosts Scale Name.

## Detailed Description

Scale event specific data.

Used in Event (union)

## Member Data Documentation

## ◆ root

int16 root

range [0, 127] = root Note/Transpose Factor

## ◆ mask

int16 mask

Bit 0 = C, Bit 1 = C#, ... (0x5ab5 = Major Scale)

## ◆ textLen

uint16 textLen

the number of characters (TChar) between the beginning of text and the terminating null character (without including the terminating null character itself)

## ◆ text

const TChar* text

UTF-16, null terminated, Hosts Scale Name.

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.